import Vue from 'vue'
import App from './App'
import uView from 'uview-ui'
import './flitter'
import request from 'common/request.js'
import './common/icon/iconfont.css'
import commonjs from 'common/common.js'

Vue.prototype.$commonjs = commonjs
Vue.prototype.$request = request
Vue.prototype.imageError ='@/static/img/common/pangdingLogo.png'
Vue.use(uView)
uni.$u.config.unit = 'rpx'

Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
  ...App
})
app.$mount()
//更改toFixed方法，解决toFixed bug
Number.prototype.toFixed=function (d) {
  var s=this+''
  if(!d)d=0
  if(s.indexOf('.')==-1)s+='.'
  s+=new Array(d+1).join('0')
  if(new RegExp('^(-|\\+)?(\\d+(\\.\\d{0,'+(d+1)+'})?)\\d*$').test(s)){
    var s='0'+RegExp.$2,pm=RegExp.$1,a=RegExp.$3.length,b=true
    if(a==d+2){
      a=s.match(/\d/g)
      if(parseInt(a[a.length-1])>4){
        for(var i=a.length-2;i>=0;i--){
          a[i]=parseInt(a[i])+1
          if(a[i]==10){
            a[i]=0
            b=i!=1
          }else break
        }
      }
      s=a.join('').replace(new RegExp('(\\d+)(\\d{'+d+'})\\d$'),'$1.$2')

    }if(b)s=s.substr(1)
    return (pm+s).replace(/\.$/,'')
  }return this+''
}
// 时间格式化
Date.prototype.Format = function(fmt) {
  var o = {
    'M+': this.getMonth() + 1, // 月份
    'd+': this.getDate(), // 日
    'h+': this.getHours(), // 小时
    'm+': this.getMinutes(), // 分
    's+': this.getSeconds(), // 秒
    'q+': Math.floor((this.getMonth() + 3) / 3), // 季度
    S: this.getMilliseconds() // 毫秒
  }
  if (/(y+)/.test(fmt))
    fmt = fmt.replace(
      RegExp.$1,
      (this.getFullYear() + '').substr(4 - RegExp.$1.length)
    )
  for (var k in o)
    if (new RegExp('(' + k + ')').test(fmt))
      fmt = fmt.replace(
        RegExp.$1,
        RegExp.$1.length == 1 ? o[k] : ('00' + o[k]).substr(('' + o[k]).length)
      )
  return fmt
} //调用new Date().Format("yyyy-MM-dd hh:mm");
